%define module  m2r

Name:           python-%{module}
Version:        0.2.1
Release:        %mkrel 3
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
License:        MIT
URL:            https://github.com/miyakogi/m2r
Source0:        https://pypi.io/packages/source/m/m2r/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
M2R converts a markdown file including reST markups to a valid reST format.

%package -n     python3-%{module}
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(mistune)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(mock)
%{?python_provide:%python_provide python3-%{module}}
Provides:       m2r = %{version}-%{release}

%description -n python3-%{module}
M2R converts a markdown file including reST markups to a valid reST format.

%prep
%setup -qn %{module}-%{version}

# Remove upstream's egg-info
rm -rf %{module}.egg-info

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' m2r.py

%build
%py3_build

%install
%py3_install

%check
#PYTHONPATH=$(pwd) %%{__python3} setup.py test -s tests

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{_bindir}/m2r
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}*-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests


%changelog
* Wed Sep 04 2019 wally <wally> 0.2.1-3.mga8
+ Revision: 1437292
- rebuild for python3.8
- drop python2 support
- provide m2r
- use python_provide

* Sat Jan 05 2019 wally <wally> 0.2.1-2.mga7
+ Revision: 1349574
- rebuild for python3.7

* Sat Oct 20 2018 daviddavid <daviddavid> 0.2.1-1.mga7
+ Revision: 1323003
- new version: 0.2.1

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1289180
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 0.2.0-1.mga7
+ Revision: 1252742
- new version: 0.2.0

* Wed Jul 04 2018 daviddavid <daviddavid> 0.1.15-1.mga7
+ Revision: 1241698
- new version: 0.1.15

* Fri Mar 23 2018 daviddavid <daviddavid> 0.1.14-1.mga7
+ Revision: 1211418
- new version: 0.1.14

* Wed Feb 14 2018 daviddavid <daviddavid> 0.1.13-1.mga7
+ Revision: 1200958
- new version: 0.1.13

* Fri Oct 06 2017 daviddavid <daviddavid> 0.1.12-1.mga7
+ Revision: 1169555
- imported package python-m2r

